## org.biojava.bio.seq.io
Class FeatureTableParser

    java.lang.Object
      org.biojava.bio.seq.io.FeatureTableParser

Deprecated. Use org.biojavax.bio.seq.io framework instead

    public class FeatureTableParser

extends Object

Simple parser for feature tables. This is shared between the EMBL and GENBANK format readers.

Author:
  Thomas Down, Matthew Pocock, Greg Cox, Keith James

Method Summary
`void` `endFeature()` Deprecated.
`void` `featureData(String line)` Deprecated.
`boolean` `inFeature()` Deprecated.
`void` `setSeqID(String seqID)` Deprecated.
`void` `startFeature(String type)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setSeqID

    public void setSeqID(String seqID)

  Deprecated.

### startFeature

    public void startFeature(String type)
                      throws BioException

  Deprecated.
  Throws:
    `BioException`

### featureData

    public void featureData(String line)
                     throws BioException

  Deprecated.
  Throws:
    `BioException`

### endFeature

    public void endFeature()
                    throws BioException

  Deprecated.
  Throws:
    `BioException`

### inFeature

    public boolean inFeature()

  Deprecated.